View Full Version : Beginner in PHP

03-06-2007, 07:46 PM
Hi I have just started learning PHP! I know that I have to download PHP, Apache and MySQL but I heard that there is incompatibility between versions. I've downloaded PHP 5.2.1 and I don't know which versions of Apache and MySQL are compatible with this version of PHP.

Can anybody advice me for these versions please?

Thanks in advance!


03-06-2007, 08:00 PM
Best advice is to get the latest stable versions of everything. Apache 2, mysql 5 (I think it's 5), php 5.

03-06-2007, 08:03 PM
You should probably use a WAMP autoinstaller of some sort then.
WAMP (http://www.wampserver.com/en/index.php), Apache2Triad (http://apache2triad.net/), or similar. You can search for more alternatives on any search engine, and someone else will probably recommend another. Good luck! =]

03-06-2007, 08:06 PM
Thanks guys!!! I really apreciate this. So as you advice, i already have the latest version of PHP i just need to install the latest versions od Apache and MySQL.....

Thanks again!!!!

And can you give me some tips or sites where I can extend my knowledge?

03-06-2007, 08:21 PM
Read/research/test as much as you can. The PHP manual (http://www.php.net/manual/) is a good source for information on functions as well as examples and user comments. There are tutorials everywhere to help you get started with general concepts and syntax.

03-06-2007, 08:26 PM
Thanks man!!!!:thumbsup:

03-06-2007, 08:31 PM
XAMPP is good 2

03-06-2007, 08:40 PM
Although you could use a combo installer, there is nothing wrong with reading a good tutorial and setting it up yourself. It certainly helps in solving issues, and knowing how it works is always good.

Also, the incompatabilities are with Apache 2.2.x versus 2.0.x, make sure that the PHP you get is recent enough that it works with Apache 2.2.x. Some things will not work if it's an older PHP.